Package com.orchestranetworks.schema

# Class PathAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.orchestranetworks.schema.PathAccessException

All Implemented Interfaces:
  `Serializable`

public class PathAccessException extends RuntimeException
Thrown when a path cannot be resolved in a data model.

See Also:
  - `Path`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathAccessException(Path path, UnavailableContentError ex)`
  `PathAccessException(Path path, UserMessage errorMessage)`
  `PathAccessException(Path path, RuntimeException ex)`
  `PathAccessException(Path path, String msg)`
  `PathAccessException(Path path, String msg, Throwable ex)`
  `PathAccessException(String msg)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Path`
  `getPathInError()`
  Returns either the path specified in the constructor, or `null`.
  `UserMessage`
  `getUserMessage()`
  Returns either the user message specified in the constructor, or `null`.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PathAccessException

    public PathAccessException(String msg)

  - ### PathAccessException

    public PathAccessException(Path path, RuntimeException ex)

  - ### PathAccessException

    public PathAccessException(Path path, String msg)

  - ### PathAccessException

    public PathAccessException(Path path, String msg, Throwable ex)

  - ### PathAccessException

    public PathAccessException(Path path, UnavailableContentError ex)

  - ### PathAccessException

    public PathAccessException(Path path, UserMessage errorMessage)

- ## Method Details

  - ### getPathInError

    public Path getPathInError()
    Returns either the path specified in the constructor, or `null`.

  - ### getUserMessage

    public UserMessage getUserMessage()
    Returns either the user message specified in the constructor, or `null`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`